Name:           tokyocabinet
Version:        1.4.48
Release:        15
Summary:        A manual book for managing a database
License:        LGPLv2+
URL:            http://fallabs.com/tokyocabinet/
Source:         http://fallabs.com/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig zlib-devel bzip2-devel autoconf

Recommends:     %{name}-help = %{version}-%{release}

%description
Tokyo Cabinet is a library of routines for managing a database. It is the successor
 of QDBM and GDBM but more space snd time efficient. Tokyo Cabinet is written in
the C language, and prvided as API of C, Perl, Ruby, Java and Lua. Tokyo Cabinet is
 available on platforms which have API conforming to C99 and POSIX. Tokyo Cabinet
 is a free software licensed under the GNU Lesser General Public License.

%package devel
Summary:        Headers files for programing with tokyocabinet.
Requires:       %{name} = %{version}-%{release} pkgconfig

%description devel
Necessary libraries and header files for developing with tokyocabinet.

%package help
Summary:        Manual book for using tokyocabinet
Requires:       %{name} = %{version}-%{release} pkgconfig
BuildArch:      noarch


%description help
Documentation for using tokyocabinet.

%prep
%setup -q

%build
autoconf
%configure --enable-off64
%make_build

%install
%make_install

rm -rf %{buildroot}%{_datadir}/%{name}

%check
make check

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%doc ChangeLog COPYING README
%{_bindir}/tc*
%{_libdir}/libtokyocabinet.so.*
%{_libexecdir}/tcawmgr.cgi

%files devel
%{_includedir}/tc*.h
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{name}.a
%{_libdir}/*.so

%files help
%doc doc/*
%{_mandir}/man1/tc*.gz
%{_mandir}/man3/t*.gz


%changelog
* Fri Nov 13 2020 wangjie<wangjie294@huawei.com> -1.4.48-15
- Type:NA
- ID:NA
- SUG:NA
- DESC:Change the dependency on the help package from requires to recommends

* Fri Nov 6 2020 wangjie<wangjie294@huawei.com> -1.4.48-14
- Type:NA
- ID:NA
- SUG:NA
- DESC:Adding help package to the installation dependency of the main package

* Mon Sep 2 2019 Zaiwang Li <lizaiwang1@huawei.com> -1.4.48-13
-Package init


